> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legend.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Get details for a specific sub-account

# Get Account

Returns details for a specific sub-account. The account must belong to the authenticated Prime Account.

## Request

```
GET /accounts/:account_id
```

### Path parameters

| Parameter    | Type   | Description                                   |
| ------------ | ------ | --------------------------------------------- |
| `account_id` | string | The sub-account ID (e.g., `acc_2o0yiljtp378`) |

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl https://prime-api.legend.xyz/accounts/acc_2o0yiljtp378 \
    -H "Authorization: Bearer $LEGEND_QUERY_KEY"
  ```

  ```typescript TypeScript theme={null}
  const account = await client.accounts.get("acc_2o0yiljtp378");
  ```

  ```python Python theme={null}
  account = await client.accounts.get("acc_2o0yiljtp378")
  ```

  ```rust Rust theme={null}
  let account = client.accounts.get("acc_2o0yiljtp378").await?;
  ```
</CodeGroup>

```json Response theme={null}
{
  "account_id": "acc_2o0yiljtp378",
  "signer_type": "eoa",
  "signer_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
  "legend_wallet_address": "0xc40897f38bc3d4e4d17f9daf46d2a13b4c47642f",
  "created_at": "2025-06-15T10:30:00Z"
}
```

## Errors

| Status | Code                | Description                                                   |
| ------ | ------------------- | ------------------------------------------------------------- |
| 404    | `account_not_found` | Account doesn't exist or belongs to a different Prime Account |
